<?php
/**
*
* @package Board3 Portal v2 - Guild Perks
* @copyright (c) Board3 Group ( www.board3.de )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package guildperks
*/
class portal_guildperks_module
{
	/**
	* Allowed columns: Just sum up your options (Exp: left + right = 10)
	* top		1
	* left		2
	* center	4
	* right		8
	* bottom	16
	*/
	public $columns = 10;

	/**
	* Default guildperks
	*/
	public $name = 'PORTAL_GUILDPERKS_TITLE';

	/**
	* Default module-image:
	* file must be in "{T_THEME_PATH}/images/portal/"
	*/
	public $image_src = 'guildperks/guildperks.png';

	/**
	* module-language file
	* file must be in "language/{$user->lang}/mods/portal/"
	*/
	public $language = 'portal_guildperks_module';
	
	/**
	* custom acp template
	* file must be in "adm/style/portal/"
	*/
	public $custom_acp_tpl = '';
	
	/**
	* hide module name in ACP configuration page
	*/
	public $hide_name = false;


	public function get_template_side($module_id)
	{
		global $config, $template;

		$template->assign_vars(array(
			'PERREGION'			=> $config['board3_guildperksregion_' . $module_id],
			'PERREALM'			=> $config['board3_guildperksrealm_' . $module_id],
			'PERGUILD'			=> $config['board3_guildperksguild_' . $module_id],
		));

		return 'guildperks.html';
	}

public function get_template_acp($module_id)
   {
      return array(
         'title'   => 'PORTAL_GUILDPERKS_TITLE',
         'vars'   => array(
            'legend1'                     => 'PORTAL_GUILDPERKS_TITLE',
				'board3_guildperksregion_' . $module_id	=> array('lang' => 'GUILDPERKS_REGION',		'validate' => 'string',	'type' => 'text:3:3',	'explain' => true),
				'board3_guildperksrealm_' . $module_id	=> array('lang' => 'GUILDPERKS_REALM',		'validate' => 'string',	'type' => 'text:30:30',	'explain' => true),
				'board3_guildperksguild_' . $module_id	=> array('lang' => 'GUILDPERKS_GUILD',		'validate' => 'string',	'type' => 'text:24:24',	'explain' => true),
         )
      );
   }
	

	/**
	* API functions
	*/
	public function install($module_id)
	{
		set_config('board3_guildperksregion_' . $module_id, 'eu');
		set_config('board3_guildperksrealm_' . $module_id, 'stormrage');
		set_config('board3_guildperksguild_' . $module_id, 'pretereo');
		return true;
	}

	public function uninstall($module_id)
	{
		global $db;

		$del_config = array(
			'board3_guildperksregion_' . $module_id,
			'board3_guildperksrealm_' . $module_id,
			'board3_guildperksguild_' . $module_id,
		);
		$sql = 'DELETE FROM ' . CONFIG_TABLE . '
			WHERE ' . $db->sql_in_set('config_name', $del_config);
		return $db->sql_query($sql);
	}
}
